<template>
    
    <v-toolbar class="navbar" color="accent">
        <v-spacer v-if="!hidden"></v-spacer>
        <v-btn 
        v-for="(button, index) in buttons" 
        :key="index"
        :to="button.to"
        router
        color="primary"
        exact
        elevation="24"
        :class="showClass"
        rounded 
        >
            <v-icon :class="buttonClass">{{ button.icon }}</v-icon>
            <span v-if="!hidden">{{ button.name }}</span>
        </v-btn>
    </v-toolbar>
    
</template>

<script>

export default ({
    data() {
        return {
            hidden: true,
            width: window.innerWidth,
            buttonClass: "mx-auto",
            showClass: "mx-auto",
            buttons:[
                {
                    name: "À propos",
                    icon: "mdi-home",
                    to: "/"
                },
                {
                    name: "CV",
                    icon: "mdi-book",
                    to: "/CV"
                },
                {
                    name: "Projets",
                    icon: "mdi-folder-multiple-image",
                    to: "/project"
                },
                {
                    name: "Contact",
                    icon: "mdi-account-circle",
                    to: "/about"
                }
            ]
        }
    },
    created(){
        this.rezise();
    },    
    methods: {
        rezise() {
            this.width = window.innerWidth;
            if( this.width <= 800) {
                this.hidden = true;
                this.buttonClass = "mx-auto";
                this.showClass = "mx-auto"
            } else if( this.width > 800) {
                this.hidden = false;
                this.buttonClass = "mr-2";
                this.showClass = "mr-2"
            }

        }
    }
})
</script>

<style>
    .navbar{
        max-height: 60px;
    }
</style>